Flower = Tile:extend{
   image = 'data/flower32.png',
   name = 'flower',
   invTile = Tile:new{image = 'data/flower.png'},
   onNew = function(self)
              --print(self.x, self.y, self.width, self.height)
           end,
   onCollide = function(self, other, xOl, yOl)
                  if other == the.player then
                     the.inventory:add(self)
                     the.app.view:remove(self)
                  end
               end
}

Fish = Sprite:extend{
   name = 'fish',
   invTile = Tile:new{image = 'data/fish.png'},
   onNew = function(self)
              --print(self.x, self.y, self.width, self.height)
           end,
   onCollide = function(self, other, xOl, yOl)
                  if other == the.player then
                     the.inventory:add(self)
                     the.app.view:remove(self)
                  end
               end
}

Flag = Sprite:extend{
   name = 'flag',
   invTile = Tile:new{image = 'data/flag.png'},
   onCollide = function(self, other, xOl, yOl)
                  if the.inventory.items['flower'] then
                     the.inventory:add(self)
                     --the.app.view:remove(self)

                     the.inventory:remove('flower')
                  end

                  self:displace(other)
               end
}

